summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/ardour/README8
-rw-r--r--audio/ardour/SConscript.diff17
-rw-r--r--audio/ardour/ardour.SlackBuild (renamed from multimedia/ardour/ardour.SlackBuild)56
-rw-r--r--audio/ardour/ardour.info8
-rw-r--r--audio/ardour/doinst.sh (renamed from multimedia/ardour/doinst.sh)10
-rw-r--r--audio/ardour/slack-desc (renamed from multimedia/ardour/slack-desc)2
-rw-r--r--multimedia/ardour/README8
-rw-r--r--multimedia/ardour/ardour.desktop7
-rw-r--r--multimedia/ardour/ardour.info8
-rw-r--r--multimedia/ardour/ardour.pngbin3370 -> 0 bytes
10 files changed, 83 insertions, 41 deletions
diff --git a/audio/ardour/README b/audio/ardour/README
new file mode 100644
index 0000000000..8bd85ee7d4
--- /dev/null
+++ b/audio/ardour/README
@@ -0,0 +1,8 @@
+Ardour is an application to fit the needs of musicians under Linux.
+It is designed to be a fully functional professional audio application,
+that uses the professional sound server jack for sound i/o.
+
+Ardour requires liblo, raptor, liblrdf, boost, scons, fftw, libsamplerate,
+jack-audio-connection-kit, libgnomecanvas and aubio. If you want ardour
+with lv2 support pass LV2=yes to the script. This will additionally need
+slv2. All available from SlackBuilds.org.
diff --git a/audio/ardour/SConscript.diff b/audio/ardour/SConscript.diff
new file mode 100644
index 0000000000..8a7dc77cf4
--- /dev/null
+++ b/audio/ardour/SConscript.diff
@@ -0,0 +1,17 @@
+--- SConscript 2008-07-07 17:34:05.000000000 +0200
++++ SConscript 2008-07-13 19:20:38.475141333 +0200
+@@ -499,14 +499,9 @@
+ env.Alias('install', env.InstallAs(os.path.join(desktop_icon_install_prefix, '22x22', 'mimetypes', 'application-x-ardour2.png'), 'icons/application-x-ardour_22px.png'))
+ env.Alias('install', env.InstallAs(os.path.join(desktop_icon_install_prefix, '32x32', 'mimetypes', 'application-x-ardour2.png'), 'icons/application-x-ardour_32px.png'))
+ env.Alias('install', env.InstallAs(os.path.join(desktop_icon_install_prefix, '48x48', 'mimetypes', 'application-x-ardour2.png'), 'icons/application-x-ardour_48px.png'))
+- env.Alias('install', env.Command (os.path.join(install_prefix, 'share', 'mime'), [], 'update-mime-database $TARGET'))
+- # Update the icon cache #
+- env.Alias('install', env.Command (desktop_icon_install_prefix, [], 'touch --no-create $TARGET'))
+- env.Alias('install', env.Command (desktop_icon_install_prefix, [], 'gtk-update-icon-cache $TARGET'))
+ # Make the ardour2.desktop file and install it #
+ env.Alias('install', env.Command ('ardour2.desktop', 'ardour2.desktop.in', 'cat $SOURCES > $TARGET'))
+ env.Alias('install', env.Install(os.path.join(install_prefix, 'share', 'applications'), 'ardour2.desktop'))
+- env.Alias('install', env.Command (os.path.join(install_prefix, 'share', 'applications'), [], 'update-desktop-database $TARGET'))
+ # uninstall target.. needed to run update-mime-database and update-desktop-database after removal. #`
+ remove_desktop_files = env.Command ('another_frobnicatory_decoy', [],
+ [ Delete (install_prefix + '/share/mime/packages/ardour2.xml'),
diff --git a/multimedia/ardour/ardour.SlackBuild b/audio/ardour/ardour.SlackBuild
index 802fc916e8..3bb9af1689 100644
--- a/multimedia/ardour/ardour.SlackBuild
+++ b/audio/ardour/ardour.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ardour
-# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ardour
-VERSION=2.3.1
+VERSION=2.7
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -33,10 +33,20 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+LV2=${LV2:-no}
+
+if [ "$LV2" = "no" ]; then
+ lv2opt="LV2=0"
+else
+ lv2opt="LV2=1"
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -44,26 +54,38 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-2.3
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-2.3
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-4225.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-scons PREFIX=/usr DIST_TARGET="none" ARCH="$(echo $SLKCFLAGS)"
-scons PREFIX=/usr DIST_TARGET="none" ARCH="$(echo $SLKCFLAGS)" install DESTDIR=$PKG
+# Make FREEDESKTOP work with DESTDIR
+patch -d gtk2_ardour -p0 -i $CWD/SConscript.diff
-mkdir -p $PKG/usr/share/{applications,pixmaps}
-install -m 0644 $CWD/ardour.desktop $PKG/usr/share/applications
-install -m 0644 $CWD/ardour.png $PKG/usr/share/pixmaps
+scons PREFIX=/usr \
+ DIST_TARGET="none" \
+ ARCH="$(echo $SLKCFLAGS)" \
+ FREEDESKTOP=1 \
+ $lv2opt
+scons \
+ PREFIX=/usr \
+ DIST_TARGET="none" \
+ ARCH="$(echo $SLKCFLAGS)" \
+ FREEDESKTOP=1 \
+ $lv2opt \
+ DESTDIR=$PKG \
+ install
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYING PACKAGER_README README DOCUMENTATION \
+cp -a COPYING PACKAGER_README README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/audio/ardour/ardour.info b/audio/ardour/ardour.info
new file mode 100644
index 0000000000..b16674fc4e
--- /dev/null
+++ b/audio/ardour/ardour.info
@@ -0,0 +1,8 @@
+PRGNAM="ardour"
+VERSION="2.7"
+HOMEPAGE="http://ardour.org"
+DOWNLOAD="http://releases.ardour.org/ardour-2.7-4225.tar.bz2"
+MD5SUM="cda1db24e93bb443534bf7232bf02ca2"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Erik Hanson"
diff --git a/multimedia/ardour/doinst.sh b/audio/ardour/doinst.sh
index 775527a716..0743536eb4 100644
--- a/multimedia/ardour/doinst.sh
+++ b/audio/ardour/doinst.sh
@@ -1,3 +1,5 @@
+#!/bin/sh
+
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
@@ -15,3 +17,11 @@ if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
fi
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ] \
+ && [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+fi
diff --git a/multimedia/ardour/slack-desc b/audio/ardour/slack-desc
index a50666949a..aad2a6dc8b 100644
--- a/multimedia/ardour/slack-desc
+++ b/audio/ardour/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------|
+ |-----handy-ruler-----------------------------------------------------|
ardour: ardour (Professional Audio Editing)
ardour:
ardour: Ardour is an application to fit the needs of musicians under
diff --git a/multimedia/ardour/README b/multimedia/ardour/README
deleted file mode 100644
index 2871e0fd29..0000000000
--- a/multimedia/ardour/README
+++ /dev/null
@@ -1,8 +0,0 @@
-Ardour is an application to fit the needs of musicians under Linux.
-It is designed to be a fully functional professional audio
-application, that uses the professional sound server jack for
-sound i/o.
-
-Ardour requires boost, scons, jack-audio-connection-kit, libsamplerate,
-fftw, libgnomecanvas, liblo, liblrdf, and raptor.
-All of these are available from SlackBuilds.org.
diff --git a/multimedia/ardour/ardour.desktop b/multimedia/ardour/ardour.desktop
deleted file mode 100644
index 442b7ae608..0000000000
--- a/multimedia/ardour/ardour.desktop
+++ /dev/null
@@ -1,7 +0,0 @@
-[Desktop Entry]
-Type=Application
-Name=Ardour
-Comment=Multitrack hardware recording system
-Exec=ardour2
-Icon=ardour
-Categories=AudioVideo \ No newline at end of file
diff --git a/multimedia/ardour/ardour.info b/multimedia/ardour/ardour.info
deleted file mode 100644
index 589c3dd08e..0000000000
--- a/multimedia/ardour/ardour.info
+++ /dev/null
@@ -1,8 +0,0 @@
-PRGNAM="ardour"
-VERSION="2.3.1"
-HOMEPAGE="http://ardour.org"
-DOWNLOAD="http://ardour.org/files/releases/ardour-2.3.1.tar.bz2"
-MD5SUM="54abb231ae0c1fa3b3f2c2177c644c22"
-MAINTAINER="ppr:kut"
-EMAIL="HMWiesinger@gmx.at"
-APPROVED="rworkman"
diff --git a/multimedia/ardour/ardour.png b/multimedia/ardour/ardour.png
deleted file mode 100644
index 411028c277..0000000000
--- a/multimedia/ardour/ardour.png
+++ /dev/null
Binary files differ